const getters = {
  userInfo: state => state.user.userInfo, // 管理员信息
  basic: state => state.user.basic, // 基本设置
  safety: state => state.user.safety, // 安全设置
  version: state => state.user.version, // 版本信息
  firstStatus: state => state.user.firstStatus, // 是否初始加载状态
  routes: state => state.permission.routes, // 路由数据
  notices: state => state.user.notices, // 是否初始加载状态
  addRoutes: state => state.permission.addRoutes,
  permission_routes: state => state.permission.permissionRoutes,
  routerIndex: state => state.permission.routerIndex,
  permissions: state => state.permission.permissions
}
export default getters
