/*
 * @Author: fengzg
 * @Date: 2020-04-15 11:41:59
 * @LastEditors: fengzg
 * @LastEditTime: 2020-05-11 18:08:20
 * @FilePath: \vue-complete\src\api\modules\home\gw.js
 * @Description: 官微建站
 */
import API from '../../api'
import axios from '@/utils/request' // 导入http中创建的axios实例
// import qs from 'qs' // 根据需求是否导入qs模块

/**
 * @param {Function} getTemplateClasses 模板类型
 * @param {Function} getTemplates   模板列表
 * @param {Function} getBaseDomains 线路基础域名
 */
export function getTemplateClasses() {
  return axios.get(`${API.gwTemplateClasses}`)
}
export function getTemplates(params) {
  return axios.get(`${API.gwTemplates}`, params)
}
export function getBaseDomains() {
  return axios.get(`${API.gwBaseDomains}`)
}

