/*
 * @Author: fengzg
 * @Date: 2020-04-15 11:41:59
 * @LastEditors: fengzg
 * @LastEditTime: 2020-06-02 15:58:33
 * @FilePath: \vue-complete\src\api\modules\home\xcx.js
 * @Description: 小程序
 */
import API from '../../api'
import axios from '@/utils/request' // 导入http中创建的axios实例
// import qs from 'qs' // 根据需求是否导入qs模块

/**
 * @param {Function} getXcxPackages         小程序套餐
 * @param {Function} getXcxPackagesDetail   详情
 * @param {Function} getXcxFunctions        功能服务
 */
export function getXcxPackages() {
  return axios.get(`${API.xcxPackages}`)
}
export function getXcxPackagesDetail(params) {
  return axios.get(`${API.xcxPackages}` + '/' + params)
}
export function getXcxFunctions() {
  return axios.get(`${API.xcxFunctions}`)
}

