/*
 * @Author: fengzg
 * @Date: 2020-06-18 19:37:57
 * @LastEditors: fengzg
 * @LastEditTime: 2020-06-22 19:08:19
 * @FilePath: \vue-complete\src\api\modules\ssl.js
 * @Description: SSL
 * @WebSite: https://www.epower.cn/
 */
import API from '../api'
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
export function getTag() {
  return axios.get(`${API.sslTag}`)
}
export function getPrice(params) {
  return axios.get(`${API.sslPrice}`, params)
}
export function getProduct(params) {
  return axios.get(`${API.ssl}`, params)
}
export function getOrder(params) {
  return axios.get(`${API.userSsl}`, params)
}
export function getDetail(id) {
  return axios.get(`${API.userSsl}` + '/' + id)
}
export function getEmail(params) {
  return axios.post(`${API.userSslEmail}`, qs.stringify(params))
}

export function putDetail(id) {
  return axios.put(`${API.userSsl}` + '/' + id)
}
