export default {
  bind: function(el, binding, vnode) {
    function documentHandler(e) {
      if (el.contains(e.target)) {
        return false
      }
      // 判断有无回调  有则执行
      if (binding.expression) {
        binding.value()
      }
    }
    el._vueonOutside_ = documentHandler
    document.addEventListener('mouseover', documentHandler)
  },
  unbind: function(el, binding) {
    // debugger
    document.removeEventListener('mouseover', el._vueonOutside_)
    delete el._vueonOutside_
  }
}
