
const routes = [
  { path: '/user/products', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/products'), name: 'UserAllProducts', meta: { title: '所有产品' }},
  { path: '/user/verify', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/profile/auth'), name: 'UserAuth', meta: { title: '认证信息', hideFooter: true }},
  { path: '/user/userlog', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/profile/log'), name: 'UserLogs', meta: { title: '操作日志', hideFooter: true }},
  { path: '/user/profile/address', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/profile/address'), name: 'UserAddress', meta: { title: '常用地址', hideFooter: true }},
  { path: '/user/profile/safety', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/index'), name: 'UserSafety', meta: { title: '安全中心', hideFooter: true }},
  { path: '/user/manage', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/account'), name: 'UserAccountManage', meta: { title: '账户管理', hideFooter: true }},
  { path: '/user/profile', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/profile/index'), name: 'UserProfile', meta: { title: '基本信息', hideFooter: true }},
  { path: '/user/profile/edit', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/profile/edit'), name: 'UserProfileEdit', meta: { title: '修改信息', hideFooter: true }},
  { path: '/user/password', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/password'), name: 'UserSaftyPassword', meta: { title: '修改密码', hideFooter: true }},
  { path: '/user/zcpassword', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/op-password'), name: 'UserSaftyOpPassword', meta: { title: '修改操作密码', hideFooter: true }},
  { path: '/user/mobile', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/mobile'), name: 'UserSaftyMobile', meta: { title: '手机绑定', hideFooter: true }},
  { path: '/user/email', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/email'), name: 'UserSaftyEmail', meta: { title: '邮箱绑定', hideFooter: true }},
  { path: '/user/wechat', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/safty/wechat'), name: 'UserSaftyWechat', meta: { title: '微信绑定', hideFooter: true }},

  { path: '/coupons', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/coupon/index'), name: 'UserCouponIndex', meta: { title: '领券中心' }},
  { path: '/user/coupon', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/coupon/mine'), name: 'UserCouponMine', meta: { title: '我的优惠券', hideFooter: true }}
]
export default routes
