
const routes = [
  { path: '/user/finance', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/finance/index'), name: 'UserFinance', meta: { title: '财务管理', hideFooter: true }},
  { path: '/user/payment', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/finance/recharge'), name: 'UserFinanceRecharge', meta: { title: '充值', hideFooter: true }},
  { path: '/user/money', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/finance/list'), name: 'UserFinanceList', meta: { title: '财务明细', hideFooter: true }},
  { path: '/user/invoice/view', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/invoice/invoice-view'), name: 'UserFinanceInvoiceView', meta: { title: '发票查看', hideFooter: true }},
  { path: '/user/invoice/apply', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/invoice/invoice'), name: 'UserFinanceInvoiceIndex', meta: { title: '发票管理', hideFooter: true }},
  { path: '/user/invoice/template', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/invoice/invoice-template'), name: 'UserFinanceInvoiceTemplate', meta: { title: '发票模板管理', hideFooter: true }},
  { path: '/user/invoice/logs', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/invoice/logs'), name: 'UserFinanceInvoiceLogs', meta: { title: '发票记录', hideFooter: true }},
  { path: '/user/invoice/templates', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/invoice/templates'), name: 'UserFinanceInvoiceTemplates', meta: { title: '发票模板', hideFooter: true }},

  { path: '/user/withdrawal', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/withdrawal/index'), name: 'UserFinanceWithdrawalIndex', meta: { title: '申请提现', hideFooter: true }},
  { path: '/user/withdrawal/logs', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/withdrawal/logs'), name: 'UserFinanceWithdrawalLogs', meta: { title: '提现记录', hideFooter: true }},
  { path: '/user/withdrawal/accounts', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/withdrawal/accounts'), name: 'UserFinanceWithdrawalAccounts', meta: { title: '收款账户', hideFooter: true }},
  { path: '/user/withdrawal/accounts/add', component: () => import(/* webpackChunkName: 'uc-common' */ '@/views/user/withdrawal/accounts-edit'), name: 'UserFinanceWithdrawalAccountsEdit', meta: { title: '添加收款账户', hideFooter: true }}
]
export default routes
