/*
zhg
 */
import axios from '@/utils/request'
import qs from 'qs'
const baseTradeURL = '/user/patent_trade'
const baseLibraryURL = '/user/patent_trade_local_lib'

export function publishList(config) {
  return axios.get(baseLibraryURL, config || {})
}
export function publishDetail(id, config) {
  return axios.get(baseLibraryURL + '/' + id, config || {})
}
export function publishCreate(params, config) {
  return axios.post(baseLibraryURL, qs.stringify(params), config || {})
}
export function publishUpdate(id, params, config) {
  return axios.put(baseLibraryURL + '/' + id, qs.stringify(params), config || {})
}
export function publishBatchUpdate(ids, status, config) {
  return axios.put(baseLibraryURL + '/batch_update_status', qs.stringify({ ids, status }), config || {})
}

export function orderList(config) {
  return axios.get(baseTradeURL, config || {})
}

export function orderDetail(id, config) {
  return axios.get(baseTradeURL + '/' + id, config || {})
}
