/*
 * @Author: fengzg
 * @Date: 2020-06-18 19:37:57
 * @LastEditors: fengzg
 * @LastEditTime: 2020-08-28 09:46:08
 * @FilePath: \vue-center\src\api\modules\ssl.js
 * @Description: SSL
 * @WebSite: https://www.epower.cn/
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  ssl: '/ssl',
  sslTag: '/ssl/tag',
  sslPrice: '/ssl/get_price',
  userSsl: '/user/ssl',
  userSslEmail: '/user/ssl/get_dom_app_emails'
}
export function getTag() {
  return axios.get(`${API.sslTag}`)
}
export function getPrice(params) {
  return axios.get(`${API.sslPrice}`, params)
}
export function getProduct(params) {
  return axios.get(`${API.ssl}`, params)
}
export function getOrder(params) {
  return axios.get(`${API.userSsl}`, params)
}
export function getDetail(id) {
  return axios.get(`${API.userSsl}` + '/' + id)
}
export function getEmail(params) {
  return axios.post(`${API.userSslEmail}`, qs.stringify(params))
}

export function putDetail(id) {
  return axios.put(`${API.userSsl}` + '/' + id)
}
