
import indexServices from './index'
import trademarkChildren from './trademark'
import trademarkTradeChildren from './trademark-trade'
import patentTrade from './patent'
import gwServices from './gw'
import domainServices from './domain'
import xcxServices from './xcx'
import sslServices from './ssl'
import cloudServices from './cloud'
import emailServices from './email'
import csServices from './cs'
import financeServices from './finance'
import accountServices from './account'
import promoteServices from './promote'
import workOrderServices from './workorder'
import smsServices from './sms'

const user = [
  ...indexServices,
  /**
   * 商标知产
   */
  trademarkChildren,
  /**
   * 商标交易
   */
  trademarkTradeChildren,
  /**
   * 专利
   */
  patentTrade,
  /**
   * 官微建站
   */
  gwServices,
  /**
   * 短信服务
   */
  smsServices,

  /**
   * 域名管理
   */
  domainServices,
  /**
   * 小程序
   */
  xcxServices,
  /**
   * SSL证书
   */
  sslServices,
  /**
   * 云计算
   */
  cloudServices,
  /**
   * 企业邮箱
   */
  emailServices,
  /**
   * 企业服务
   */
  csServices,
  /**
   * 财务管理
   */
  financeServices,
  /**
   * 账户管理
   */
  accountServices,
  /**
   * 在线推广
   */
  promoteServices,
  /**
   * 工单管理
   */
  workOrderServices
]

export default user
