import Layout from '@/layout/index'
import Enterprise from '@/views/enterprise/index'
import EnterpriseDetail from '@/views/enterprise/detail'
import EtpEditLogin from '@/views/enterprise/editLogin'

export default {
  path: '/email',
  redirect: 'noRedirect',
  component: Layout,
  name: 'product_etp_email',
  meta: {
    icon: 'qiyeyouxiang',
    title: '企业邮箱'
  },
  alwaysShow: true,
  children: [
    {
      path: '/etpemail',
      name: 'Enterprise',
      component: Enterprise,
      meta: {
        title: '企业邮箱管理'
      }
    },
    {
      path: '/etpemail/detail/:id',
      name: 'EnterpriseDetail',
      component: EnterpriseDetail,
      hidden: true,
      meta: {
        title: '订单详情',
        activeMenu: '/etpemail'
      }
    },
    {
      path: '/etpemail/loginPageMsg/:id',
      name: 'EtpEditLogin',
      component: EtpEditLogin,
      hidden: true,
      meta: {
        title: '修改登录页信息',
        activeMenu: '/etpemail'
      }
    }

  ]
}
