import Layout from '@/layout/index'
import PromoteIndex from '@/views/promote/index'
import PromoteOffline from '@/views/promote/offline'
import PromoteApplylist from '@/views/promote/applylist'
import PromoteLink from '@/views/promote/link'

export default {
  path: '/promote',
  component: Layout,
  redirect: 'noRedirect',
  name: 'promotion_commission',
  meta: {
    icon: 'zaixiantuiguang',
    title: '在线推广'
  },
  children: [
    {
      path: '/promote/index',
      component: PromoteIndex,
      name: 'PromoteIndex',
      meta: {
        title: '佣金管理'
      }
    },
    {
      path: '/promote/offline',
      component: PromoteOffline,
      name: 'PromoteOffline',
      meta: {
        title: '下线用户'
      }
    },
    {
      path: '/promote/applylist',
      component: PromoteApplylist,
      name: 'PromoteApplylist',
      meta: {
        title: '入款管理'
      }
    },
    {
      path: '/promote/link',
      component: PromoteLink,
      name: 'PromoteLink',
      meta: {
        title: '推广链接'
      }
    }
  ]
}
