const controlMaps = {
  product_gw_web: 'product_gw_web',
  product_custom_service: 'product_custom_service',
  product_mini_program: 'product_mini_program',
  product_etp_email: 'product_etp_email',
  product_vhost_server: ['product_server', 'product_vhost'],
  product_domain: ['product_domain_trade', 'product_domain_reg'],
  product_ssl: 'product_ssl',
  product_tm_ipr: 'product_tm_ipr',
  product_tm_trade: 'product_tm_trade',
  product_patent_trade: 'product_patent_trade',
  short_message: 'product_sms',
  CloudServer: 'product_server',
  CloudHost: 'product_vhost',
  DomainMyDomains: 'product_domain_reg',
  DomainTemplate: 'product_domain_reg',
  DomainTransferout: 'product_domain_reg',
  DomainTransferin: 'product_domain_reg',
  DomainPush: 'product_domain_reg',
  DomainPublish: 'product_domain_trade',
  DomainMyPublish: 'product_domain_trade'
}

export default function canShow(sale_products, product) {
  if (!controlMaps.hasOwnProperty(product)) return null
  const value = controlMaps[product]
  if (typeof value === 'string') return sale_products.indexOf(value) >= 0

  for (let i = 0; i < value.length; i++) {
    if (sale_products.indexOf(value[i]) >= 0) return true
  }
  return false
}
