/**
 * @Name          : ePower
 * @Author        : feng
 * @Version       : 1.0.0
 * @Update        : 2019-12-09
 * @direction     : 公共接口
 */

import axios from '@/utils/request'

export function getList(params) {
  return axios.get(`/admin/domain_reg`, params)
}
export function getContactors(params) {
  return axios.get(`/admin/domain_template`, { params })
}
export function getContactor(id) {
  return axios.get(`/admin/domain_template/${id}`)
}
export function getTransferInList(params) {
  return axios.get(`/admin/domain_transfer_in`, { params })
}
export function getTransferOutList(params) {
  return axios.get(`/admin/domain_transfer_out`, { params })
}
export function getPushList(params) {
  return axios.get(`/admin/domain_push`, { params })
}

export function getTradeList(params) {
  return axios.get(`/admin/dt_records`, { params })
}

