/*
 * @Author: fengzg
 * @Date: 2020-06-01 17:19:33
 * @LastEditors: fengzg
 * @LastEditTime: 2020-08-12 16:37:37
 * @FilePath: \vue-admin\src\api\modules\promotion.js
 * @Description: 财务管理
 * @WebSite: https://www.epower.cn/
 */
// import API from '../api' // 导入接口域名列表
import axios from '../../utils/request' // 导入http中创建的axios实例
import qs from 'querystring'

export function getCommissionManager(params) {
  return axios.get('/admin/commission_product?' + qs.stringify(params))
}
export function getCommissionProducts(product_type) {
  return axios.get('/admin/commission_product/get?product_type=' + product_type)
}

export function postCommissionManager(params) {
  return axios.post('/admin/commission_product', params)
}

export function putCommissionManager(id, params) {
  return axios.put('/admin/commission_product/' + id, params)
}
export function deleteCommissionManager(id) {
  return axios.delete('/admin/commission_product/' + id)
}
export function getCommissionBills(params) {
  return axios.get('/admin/commission_bill?' + qs.stringify(params))
}

export function getCommissionReceipts(params) {
  return axios.get('/admin/commission_receipt?' + qs.stringify(params))
}

export function getCommissionReceiptDetail(id) {
  return axios.get('/admin/commission_receipt/' + id)
}

export function commissionReceiptAudit(id, params) {
  return axios.put('/admin/commission_receipt/audit/' + id, qs.stringify(params))
}
export function getPromotions(params) {
  return axios.get('/admin/promotions?' + qs.stringify(params))
}
