
const state = {
  userInfo: {},
  firstStatus: true,
  basic: {},
  safety: {},
  notices: '',
  version: ''
}

const mutations = {
  SET_USER_INFO: (state, data) => {
    state.userInfo = data
  },
  SET_NOTICES: (state, value) => {
    state.notices = value
  },
  SET_FIRSTSTATUS: (state, value) => {
    state.firstStatus = value
  },
  SET_SETTING: (state, data) => {
    state.basic = data.basic
    state.safety = data.safety
    state.version = data.version
  },
  basic: (state, data) => {
    state.basic = data
  },
  safety: (state, data) => {
    state.safety = data
  },
  version: (state, data) => {
    state.version = data
  }
}

const actions = {
  setFirstStatus({ commit }, value) {
    commit('SET_FIRSTSTATUS', value)
  },
  getNotices({ commit }) {
    const callbackName = 'func_' + Math.random().toString().substr(2)
    window[callbackName] = function(notices) {
      commit('SET_NOTICES', notices)
      window[callbackName] = null
    }
    const noticeUrl = 'https://bbs.epower.cn/api.php?mod=js&bid=7&callback=' + callbackName
    const script = document.createElement('script')
    script.src = noticeUrl
    document.body.appendChild(script)
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

