##系统升级接口
    接口默认返回值：
    {
        "code": 200,
        "message": "",
        "data": {}
    }
    
    通用data数据：{
         "version": "1.12.7",
         "update_engine_version": 100130,
         "hassql": 0,
         "hasphp": 0,
         "version_update_time": "2020-06-12 19:55:25",
         "update_time": "2020-06-12 19:55:25",
         "description": "描述"
     }
     
    不同请求，data内容不同，下面返回值仅写data部分
###检测本地版本
    URL: /v1/admin/upgrade/local
    METHOD: GET
    RETURN: 通用返回
            
###检测是否有升级
    URL: /v1/admin/upgrade/check/{version}
    METHOD: GET
        version : 由检测本地版本接口返回的版本号，六位数字
    RETURN: 通用返回
    DESC: 
        返回code为200代表有新版本（返回data中的update_engine_version代表新版本号）。
        其他代码为错误代码。
    

###新版本详细信息
    URL: /v1/admin/upgrade/info/{version}
    METHOD: GET
        version : 新版本号，六位数字
    RETURN: 通用返回，data增加新键，files
        "files" : [
              {
                  "hash": "44ab9ed02f5ec3a8496d4e901d1565abd3b75979",
                  "url": "/#.epower/app/Epower/Api/Epower.php",
                  "modify": true
              }
          ]
    DESC: 
        modify表示用户本地源码是否被更新，url为文件路径。
        前台只显示文件路径和是否被修改即可。
        ***应该在请求check接口，并且有新版本时，立即调用本接口***
    
###执行升级
     URL: /v1/admin/upgrade/upgrade/{version}
     METHOD: GET
         version : 新版本号，六位数字
     RETURN: 默认返回，无data数据
     
###下载升级包
     URL: /v1/admin/upgrade/download/{version}
     METHOD: GET
         version : 新版本号，六位数字
     RETURN: 附件下载，直接a链接，_blank跳转下载url即可。