import epIcon from './ep-icon'
import Masker from './masker'
import Price from './price'
import CouponSelector from './coupon-selector'
import Uploader from './uploader'
import TrademarkSelector from './trademark-selector'
import AddressSelector from './address-selector'
import SubmitBar from './submit-bar'
import ImageLogo from './image-logo'
import ButtonGroup from './button-group'
import LogoCard from './logo-card'
import ListEmpty from './list-empty'
export default {
  install(Vue) {
    Vue.component('epIcon', epIcon)
    Vue.component('Masker', Masker)
    Vue.component('Price', Price)
    Vue.component('CouponSelector', CouponSelector)
    Vue.component('Uploader', Uploader)
    Vue.component('TrademarkSelector', TrademarkSelector)
    Vue.component('AddressSelector', AddressSelector)
    Vue.component('SubmitBar', SubmitBar)
    Vue.component('ImageLogo', ImageLogo)
    Vue.component('ButtonGroup', ButtonGroup)
    Vue.component('LogoCard', LogoCard)
    Vue.component('ListEmpty', ListEmpty)
  }
}
