import JianZhanBuild from '../../views/jianzhan/build'
import JianZhanBuildOrder from '../../views/jianzhan/build-order'
import JianZhanMuban from '../../views/jianzhan/muban'
import JianZhanExample from '../../views/jianzhan/example'
import JianZhanForm from '../../views/jianzhan/form'
import JianZhanIndex from '../../views/jianzhan/index'
import JianZhanCompare from '../../views/jianzhan/compare'
import JianzhanFuwu from '../../views/jianzhan/fuwu'
import JianzhanFuwuDetail from '../../views/jianzhan/fuwu-detail'
import JianzhanFuwuOrder from '../../views/jianzhan/fuwu-order'
import JianzhanPreview from '../../views/jianzhan/preview'

const routes = [
  { path: '/build', component: JianZhanBuild, name: 'JianZhanBuild', meta: { title: '网站代建' }},
  { path: '/jianzhan', component: JianZhanIndex, name: 'JianZhanIndex', meta: { title: '官微建站' }},
  { path: '/jianzhan/muban', component: JianZhanMuban, name: 'JianZhanMuban', meta: { title: '网站模板' }},
  { path: '/jianzhan/preview', component: JianzhanPreview, name: 'JianzhanPreview', meta: { title: '模板预览', hideFooter: true }},
  { path: '/jianzhan/example', component: JianZhanExample, name: 'JianZhanExample', meta: { title: '网站案例' }},
  { path: '/jianzhan/detail', component: JianZhanCompare, name: 'JianZhanCompare', meta: { title: '官微建站版本比对' }},
  { path: '/jianzhan/form/:id', component: JianZhanForm, name: 'JianZhanForm', meta: { title: '立即建站', hideFooter: true }},
  { path: '/jianzhan/fuwu', component: JianzhanFuwu, name: 'JianzhanFuwu', meta: { title: '建站服务' }},
  { path: '/jianzhan/fuwu/detail', component: JianzhanFuwuDetail, name: 'JianzhanFuwuDetail', meta: { title: '建站服务详情', hideFooter: true }},
  { path: '/jianzhan/fuwu/order', component: JianzhanFuwuOrder, name: 'JianzhanFuwuOrder', meta: { title: '建站服务订单', hideFooter: true }},
  { path: '/build/order', component: JianZhanBuildOrder, name: 'JianZhanBuildOrder', meta: { title: '提交订单', hideFooter: true }}
]
export default routes
