
import PatentIndex from '../../views/patent/index'
import PatentDetails from '../../views/patent/details'
import PatentOrder from '../../views/patent/form'
import PatentRequirement from '../../views/patent/requirement'

const routes = [
  { path: '/patent', component: PatentIndex, name: 'PatentIndex', meta: { title: '专利交易', hideFooter: true }},
  { path: '/patent/details/:patent.html', component: PatentDetails, name: 'PatentDetails', meta: { title: '专利交易详情', hideFooter: true }},
  { path: '/patent/order', component: PatentOrder, name: 'PatentOrder', meta: { title: '专利交易', hideFooter: true }},
  { path: '/patent/requirement', component: PatentRequirement, name: 'PatentRequirement', meta: { title: '求购专利', hideFooter: true }}
]
export default routes
