
import TrademarkQueryIndex from '../../views/trademark/query/index'

import TrademarkQueryResults from '../../views/trademark/query/index-list'
import TrademarkQueryResultsJinsi from '../../views/trademark/query/index-list-jinsi'
import TrademarkQueryCompanyDetail from '../../views/trademark/query/company'
import TrademarkNoticeIndex from '../../views/trademark/query/notice'
import TrademarkQueryView from '../../views/trademark/query/view'
import TrademarkNoticeList from '../../views/trademark/query/notice-list'
import TrademarkQueryClassify from '../../views/trademark/query/classes/index'
import TrademarkQueryTusu from '../../views/trademark/query/classes/tusu'
import TrademarkQueryIndustry from '../../views/trademark/query/classes/industry'
import TrademarkQuerySearch from '../../views/trademark/query/classes/search'

const routes = [
  { path: '/trademark/company_detail', component: TrademarkQueryCompanyDetail, name: 'TrademarkQueryCompanyDetail', meta: { title: '公司详情' }},
  { path: '/trademark/search_details', component: TrademarkQueryView, name: 'TrademarkQueryView', meta: { title: '商标详情' }},
  { path: '/trademark/industry', component: TrademarkQueryIndustry, name: 'TrademarkQueryIndustry', meta: { title: '行业分类查询' }},
  { path: '/trademark/tusu', component: TrademarkQueryTusu, name: 'TrademarkQueryTusu', meta: { title: '商标要素查询' }},
  { path: '/trademark/serch', component: TrademarkQuerySearch, name: 'TrademarkQuerySearch', meta: { title: '商标分类搜索' }},
  { path: '/trademark/classes', component: TrademarkQueryClassify, name: 'TrademarkQueryClassify', meta: { title: '商标分类查询' }},
  { path: '/trademark/search', component: TrademarkQueryIndex, name: 'TrademarkQueryIndex', meta: { title: '综合查询' }},
  { path: '/trademark/jinsi', component: TrademarkQueryIndex, name: 'TrademarkQueryJinsi', meta: { title: '近似查询' }},
  { path: '/trademark/tm_img_search', component: (TrademarkQueryIndex), name: 'TrademarkQueryImage', meta: { title: '图形查询' }},
  { path: '/trademark/company_list', component: (TrademarkQueryIndex), name: 'TrademarkQueryCompany', meta: { title: '企业查询' }},
  { path: '/trademark/searchlist', component: TrademarkQueryResults, name: 'TrademarkQueryResults', meta: { title: '商标查询结果', keepAlive: true }},
  { path: '/trademark/jinsiList', component: TrademarkQueryResultsJinsi, name: 'TrademarkQueryResultsJinsi', meta: { title: '商标近似查询结果', keepAlive: true, hideFooter: true }},
  { path: '/trademark/tmprogress', component: TrademarkNoticeIndex, name: 'TrademarkNoticeIndex', meta: { title: '商标公告查询' }},
  { path: '/trademark/tmprogress', component: TrademarkNoticeList, name: 'TrademarkNoticeList', meta: { title: '商标公告列表' }}
]
export default routes
