
import TrademarkTradeDetails from '../../views/trademark/trade/details'
import TrademarkTradeForm from '../../views/trademark/trade/form'
import TrademarkTradeIndex from '../../views/trademark/trade/index'
import TrademarkTradePublish from '../../views/trademark/trade/publish'
import TrademarkTradePublishForm from '../../views/trademark/trade/publish-form'
import TrademarkTradePublishBuy from '../../views/trademark/trade/publish-buy'
import { deepClone } from '../../utils'

const routes = [
  { path: '/trademark/jiaoyidetails', component: TrademarkTradeDetails, name: 'TrademarkTradeDetails', meta: { title: '商标交易', hideFooter: true }},
  { path: '/trademark/jiaoyidetails/:tmid.html', component: deepClone(TrademarkTradeDetails), name: 'TrademarkTradeDetailsStatic', meta: { title: '商标交易', hideFooter: true }},
  { path: '/trademark/jiaoyiorder', component: TrademarkTradeForm, name: 'TrademarkTradeForm', meta: { title: '提交订单', hideFooter: true }},
  { path: '/trademark/jiaoyilists', component: TrademarkTradeIndex, name: 'TrademarkTradeIndex', meta: { title: '精品商标', keepAlive: true, hideFooter: true }},
  { path: '/trademark/jiaoyipublish', component: TrademarkTradePublish, name: 'TrademarkTradePublish', meta: { title: '发布商标出售', hideFooter: true }},
  { path: '/trademark/jiaoyipublish-form', component: TrademarkTradePublishForm, name: 'TrademarkTradePublishForm', meta: { title: '发布商标出售', hideFooter: true }},
  { path: '/trademark/jiaoyipublish-buy', component: TrademarkTradePublishBuy, name: 'TrademarkTradePublishBuy', meta: { title: '发布商标求购', hideFooter: true }}
]
export default routes
