


import Trademark from '../../views/trademark/index'


import TrademarkForm from '../../views/trademark/form'
import TrademarkBaomu from '../../views/trademark/baomu'
import TrademarkBaomuOrder from '../../views/trademark/baomu-order'
import TrademarkServiceIndex from '../../views/trademark/service/index'
import TrademarkBanQuan from '../../views/trademark/service/banquan'
import TrademarkZhuanLi from '../../views/trademark/service/zhuanli'
import TrademarkInternational from '../../views/trademark/service/international'
import TrademarkServiceForm from '../../views/trademark/service/form'
import TrademarkZhuanliForm from '../../views/trademark/service/zhuanli-form'
import TrademarkBanquanForm from '../../views/trademark/service/banquan-form'
import TrademarkInternationalForm from '../../views/trademark/service/international-form'
import TrademarkServiceView from '../../views/trademark/service/view'
import TrademarkGongzheng from '../../views/trademark/trade/gongzheng'
import TrademarkLeader from '../../views/trademark/leader'
import TrademarkNamed from '../../views/trademark/named.vue'

const routes = [
  { path: '/trademark', component: Trademark, name: 'Trademark', meta: { title: '商标注册' }},
  { path: '/trademark/form', component: TrademarkForm, name: 'TrademarkForm', meta: { title: '商标注册', hideFooter: true }},
  { path: '/trademark/baomuIndex', component: TrademarkBaomu, name: 'TrademarkBaomu', meta: { title: '保姆注册', hideFooter: true }},
  { path: '/trademark/baomuorder', component: TrademarkBaomuOrder, name: 'TrademarkBaomuOrder', meta: { title: '保姆注册', hideFooter: true }},
  { path: '/trademark/serviceIndex', component: TrademarkServiceIndex, alias: '/trademark/services', name: 'TrademarkServiceIndex', meta: { title: '商标服务' }},
  { path: '/trademark/serviceForm', component: TrademarkServiceForm, name: 'TrademarkServiceForm', meta: { title: '提交订单-商标服务', hideFooter: true }},
  { path: '/trademark/services/detail', component: TrademarkServiceView, name: 'TrademarkServiceView', meta: { title: '商标服务', hideFooter: true }},
  { path: '/trademark/banquan', component: TrademarkBanQuan, name: 'TrademarkBanQuan', meta: { title: '版权服务' }},
  { path: '/trademark/zhuanli', component: TrademarkZhuanLi, name: 'TrademarkZhuanLi', meta: { title: '专利服务' }},
  { path: '/trademark/international', component: TrademarkInternational, name: 'TrademarkInternational', meta: { title: '国际商标' }},
  { path: '/trademark/patentForm', component: TrademarkZhuanliForm, name: 'TrademarkZhuanliForm', meta: { title: '提交订单-专利服务', hideFooter: true }},
  { path: '/trademark/copyrightForm', component: TrademarkBanquanForm, name: 'TrademarkBanquanForm', meta: { title: '提交订单-版权服务', hideFooter: true }},
  { path: '/trademark/leader', component: TrademarkLeader, name: 'TrademarkLeader', meta: { title: '商标注册教程' }},
  { path: '/gongzheng', component: TrademarkGongzheng, name: 'TrademarkGongzheng', meta: { title: '商标交易公证', hideFooter: true }},
  { path: '/trademark/internationalForm', component: TrademarkInternationalForm, name: 'TrademarkInternationalForm', meta: { title: '提交订单-国际商标', hideFooter: true }},
  { path: '/trademark/named', component: TrademarkNamed, name: 'TrademarkNamed', meta: { title: '商标取名', hideFooter: true }}
]
export default routes
