
const routes = [
  {
    path: '/user/patent-menu',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/patent/index'),
    name: 'UserPatentMenus',
    meta: { title: '专利交易', hideFooter: true }
  },
  {
    path: '/user/patent',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/patent/trade/index'),
    name: 'UserPatentIndex',
    meta: { title: '专利交易订单', hideFooter: true }
  },
  {
    path: '/user/patent/show/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/patent/trade/show'),
    name: 'UserPatentDetails',
    meta: { title: '专利交易订单详情', hideFooter: true }
  },
  {
    path: '/user/patent/publish',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/patent/publish/index'),
    name: 'UserPatentPublishList',
    meta: { title: '我的发布', hideFooter: true }
  },
  {
    path: '/user/patent/publish/form/:id?',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/patent/publish/edit'),
    name: 'UserPatentPublishListEdit',
    meta: { title: '发布专利', hideFooter: true }
  }
]
export default routes
