
const routes = [
  { path: '/user/sms', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/index.vue'), name: 'UserSms', meta: { title: '短信服务', hideFooter: true }},
  { path: '/user/sms/sending', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/sending.vue'), name: 'UserSmsSending', meta: { title: '短信发送', hideFooter: true }},
  { path: '/user/sms/sending-record', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/record.vue'), name: 'UserSmsRecord', meta: { title: '发送记录', hideFooter: true }},
  { path: '/user/sms/sending-records', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/record-phones.vue'), name: 'UserSmsRecordPhones', meta: { title: '发送详情', hideFooter: true }},
  { path: '/user/sms/signature', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/autograph.vue'), name: 'UserSmsSignature', meta: { title: '短信签名', hideFooter: true }},
  { path: '/user/sms/module', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/sms/template.vue'), name: 'UserSmsTemplate', meta: { title: '短信模板', hideFooter: true }}
]

export default routes

