
const routes = [
  {
    path: '/user/ssl',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/ssl/index.vue'),
    name: 'UserSsl',
    meta: { title: '用户中心-SSL证书列表', hideFooter: true }
  },
  {
    path: '/user/ssl/detail',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/ssl/detail.vue'),
    name: 'UserSslDetail',
    meta: { title: '用户中心-SSL证书详情', hideFooter: true }
  },
  {
    path: '/user/ssl/make',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/ssl/make.vue'),
    name: 'UserSslMake',
    meta: { title: '用户中心-SSL证书补全', hideFooter: true }
  },
  {
    path: '/user/ssl/addService',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/ssl/add-service.vue'),
    name: 'UserSslAddService',
    meta: { title: '用户中心-SSL证书增值服务', hideFooter: true }
  }
]
export default routes
