
const routes = [
  {
    path: '/user/tmjiaoyi/menu',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/index'),
    name: 'UserTrademarkTrade',
    meta: { title: '商标交易', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/trade/index'),
    name: 'UserTrademarkTradeTrade',
    meta: { title: '商标交易订单', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi/show/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/trade/show'),
    name: 'UserTrademarkTradeTradeShow',
    meta: { title: '商标交易订单详情', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi/applyer',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/holder/index'),
    name: 'UserTrademarkTradeHolder',
    meta: { title: '持有人', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi/applyer/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/holder/edit'),
    name: 'UserTrademarkTradeHolderEdit',
    meta: { title: '持有人认证', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi/applyer/add',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/holder/edit'),
    name: 'UserTrademarkTradeHolderAdd',
    meta: { title: '新增持有人认证', hideFooter: true }
  },
  {
    path: '/user/tmjiaoyi/publishindex',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/self-released/index'),
    name: 'UserTrademarkTradeSelfReleased',
    meta: { title: '我发布的商标' }
  },
  {
    path: '/user/tmjiaoyi/publishindex/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/self-released/edit'),
    name: 'UserTrademarkTradeSelfReleasedEdit',
    meta: { title: '商标交易订单详情', hideFooter: true }
  },

  {
    path: '/user/notarization',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/gongzheng/index'),
    name: 'UserTrademarkTradeGongzheng',
    meta: { title: '商标交易公证', hideFooter: true }
  },
  {
    path: '/user/notarization/show',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark-trade/gongzheng/show'),
    name: 'UserTrademarkTradeGongzhengShow',
    meta: { title: '商标交易公证详情', hideFooter: true }
  }
]
export default routes
