
const routes = [
  {
    path: '/user/xcx/index',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/xcx/index.vue'),
    name: 'UserXcx',
    meta: { title: '用户中心-小程序列表', hideFooter: true }
  },
  {
    path: '/user/xcx/detail',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/xcx/detail.vue'),
    name: 'UserXcxDetail',
    meta: { title: '小程序详情', hideFooter: true }
  },
  {
    path: '/user/xcx/renew',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/xcx/renew.vue'),
    name: 'UserXcxRenew',
    meta: { title: '小程序续费', hideFooter: true }
  },
  {
    path: '/user/xcx/upgrade',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/xcx/upgrade.vue'),
    name: 'UserXcxUpgrade',
    meta: { title: '小程序升级', hideFooter: true }
  },
  {
    path: '/user/xcx/order',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/xcx/order.vue'),
    name: 'XcxOrder',
    meta: { title: '增值服务订单', hideFooter: true }
  }
]
export default routes
