
import UserLogin from '../../views/user/login'
import UserRegister from '../../views/user/register'
import UserRetrieve from '../../views/user/retrieve'

const routes = [
  { path: '/login', component: UserLogin, name: 'UserLogin', meta: { title: '用户登录', hideFooter: true, isBlank: true }},
  { path: '/login/index', component: UserLogin, name: 'UserLoginIndex', meta: { title: '用户登录', hideFooter: true, isBlank: true }},
  { path: '/register', component: UserRegister, name: 'UserRegister', meta: { title: '用户注册', hideFooter: true, isBlank: true }},
  { path: '/getPassword', component: UserRetrieve, name: 'UserRetrieve', meta: { title: '找回密码', hideFooter: true, isBlank: true }}

]

export default routes
