import Utf8 from './utf8'
const e = []
e[0] = '0'
e[1] = '1'
e[2] = '2'
e[3] = '3'
e[4] = '4'
e[5] = '5'
e[6] = '6'
e[7] = '7'
e[8] = '8'
e[9] = '9'
e[10] = 'a'
e[11] = 'b'
e[12] = 'c'
e[13] = 'd'
e[14] = 'e'
e[15] = 'f'
const d = {}
d['0'] = 0
d['1'] = 1
d['2'] = 2
d['3'] = 3
d['4'] = 4
d['5'] = 5
d['6'] = 6
d['7'] = 7
d['8'] = 8
d['9'] = 9
d['a'] = 10
d['b'] = 11
d['c'] = 12
d['d'] = 13
d['e'] = 14
d['f'] = 15
const encode_ = function(t) {
  const res = []
  for (let i = 0; i < t.length; i++) {
    res.push(e[t[i] >> 4])
    res.push(e[t[i] & 0xf])
  }
  return res.join('')
}
const decode_ = function(t) {
  const res = []
  for (let i = 0; i < t.length; i += 2) {
    res[i >> 1] = (d[t[i]] << 4) | (d[t[i + 1]])
  }
  return res
}
const Hex = {
  e: encode_,
  d: decode_
}
Hex.encode = function(g) {
  if (!g) return ''
  if (typeof g === 'string') {
    g = Utf8.getByteArray(g)
  }
  return encode_(g)
}
Hex.decode = function(g) {
  if (g.length % 2 !== 0) throw String('invalid length')
  return Utf8.getString(decode_(g))
}

export default Hex
