import axios from '@/utils/request' // 导入http中创建的axios实例

const API = {
  customService: '/user/custom_service', // 云服务器
  temp: '/user/custom_service_temp'
}

export function getList(params) {
  return axios.get(`${API.customService}`, params)
}
export function getDetail(id, params) {
  return axios.get(`${API.customService}` + '/' + id, params)
}

export function getTempList(params) {
  return axios.get(`${API.temp}`, params)
}
export function postTemp(params) {
  return axios.post(`${API.temp}`, params)
}
export function putTemp(id, params) {
  return axios.put(`${API.temp}` + '/' + id, params)
}
export function getTempDetail(id, params) {
  return axios.get(`${API.temp}` + '/' + id, params)
}

export function deleteTemp(id) {
  return axios.get(`${API.temp}` + '/' + id)
}
