/*
 * @Author: fengzg
 * @Date: 2020-04-15 11:41:59
 * @LastEditors: fengzg
 * @LastEditTime: 2020-09-09 14:21:20
 * @FilePath: \vue-center\src\api\modules\etp-emails.js
 * @Description: 企业邮箱
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  etpEmails: '/user/etp_emails'
}
/**
 * @param {Function} getEtpEmails          获取邮箱列表
 * @param {Function} getEtpEmailsDetail    获取邮箱详情
 * @param {Function} putEtpLogin           自定义登录页
 */
export function getEtpEmails() {
  return axios.get(`${API.etpEmails}`)
}
export function getEtpDetail(id) {
  return axios.get(`${API.etpEmails}` + '/' + id)
}
export function putEtpLogin(id, params) {
  return axios.put(
    `${API.etpEmails}` + id + '/login_page/',
    qs.stringify(params)
  )
}
