/*
 * @Author: fengzg
 * @Date: 2020-04-15 11:41:59
 * @LastEditors: fengzg
 * @LastEditTime: 2020-08-28 09:46:59
 * @FilePath: \vue-center\src\api\modules\mini.js
 * @Description: 小程序
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
// import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  miniPrograms: '/user/mini_programs'
}
/**
 * @param {Function} getMiniPrograms          获取邮箱列表
 * @param {Function} getMiniProgramsDetail    获取邮箱详情
 * @param {Function} putEtpLogin           自定义登录页
 */
export function getMiniPrograms() {
  return axios.get(`${API.miniPrograms}`)
}
export function getMiniProgramsDetail(id) {
  return axios.get(`${API.miniPrograms}` + '/' + id + '/?include=store&is_functions=1')
}
export function getMiniProgramsManage(id) {
  return axios.put(`${API.miniPrograms}` + '/manage/' + id)
}

