/*
 * @Author: fengzg
 * @Date: 2020-05-11 19:58:26
 * @LastEditors: fengzg
 * @LastEditTime: 2020-09-14 10:30:33
 * @FilePath: \vue-center\src\api\modules\promote.js
 * @Description:
 * @WebSite: https://www.epower.cn/
 */
/**
 * 在线推广
 * promote
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
// import qs from 'qs' // 根据需求是否导入qs模块
/**
 * 佣金 commission
 * @param {Function} receipt 佣金提现列表
 * @param {Function} bill 佣金明细列表
 */
export function receipt(params) {
  return axios.get('/user/referral/offline', params)
}
export function bill(params) {
  return axios.get('/user/commission_bill', params)
}

/**
 * 下线用户 offline
 * @param {Function} promoteOfflineList 下线用户
 */
export function promoteOfflineList(params) {
  return axios.get('/user/referral/offline', params)
}

