/*
 * @Author: fengzg
 * @Date: 2020-06-18 19:37:57
 * @LastEditors: fengzg
 * @LastEditTime: 2020-09-08 16:14:01
 * @FilePath: \vue-center\src\api\modules\xcx.js
 * @Description: SSL
 * @WebSite: https://www.epower.cn/
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
const API = {
  getManage: '/user/mini_programs/manage',
  xcxOrder: '/user/mini_programs',
  xcxPackages: '/xcx/packages', // 小程序套餐
  xcxFunctions: '/xcx/functions' // 功能服务
}
export function getList(params) {
  return axios.get(`${API.xcxOrder}`, params)
}
export function getManage(id) {
  return axios.get(`${API.getManage}` + '/' + id)
}
export function getPackages(params) {
  return axios.get(`${API.xcxPackages}`, params)
}
export function getFunctions(params) {
  return axios.get(`${API.xcxFunctions}`, params)
}
export function getDetail(id) {
  return axios.get(`${API.functions}` + '/' + id)
}
