import Layout from '@/layout/index'
import Xcx from '@/views/xcx/index'
import XcxDetail from '@/views/xcx/detail'

export default {
  path: '/xcx',
  redirect: 'noRedirect',
  component: Layout,
  name: 'product_mini_program',
  meta: {
    icon: 'xcx',
    title: '小程序'
  },
  alwaysShow: true,
  children: [
    {
      path: '/xcx/index',
      component: Xcx,
      name: 'Xcx',
      meta: {
        title: '小程序'
      }
    },
    {
      path: '/xcx/detail/:id',
      component: XcxDetail,
      name: 'XcxDetail',
      hidden: true,
      meta: {
        title: '小程序',
        activeMenu: '/xcx/index',
        hidePanelTitle: true
      }
    }
  ]
}
