/*
 * @Author: fengzg
 * @Date: 2020-01-14 15:35:08
 * @LastEditors: fengzg
 * @LastEditTime: 2020-10-14 10:41:25
 * @FilePath: \vue-center\src\store\getters.js
 * @Description:vuex状态管理
 */
const getters = {
  Authorization: state => state.user.Authorization,
  userRouter: state => state.user.userRouter,
  userInfo: state => state.user.userInfo,
  topMenu: state => state.layout.topMenu,
  setting: state => state.layout.setting, // 全局配置
  classData: state => state.layout.classData,
  classMap: state => state.layout.classMap,
  PRODUCTS_ZHUCE: state => state.layout.PRODUCTS_ZHUCE,
  PRODUCTS_ZHUCEBM: state => state.layout.PRODUCTS_ZHUCEBM,
  PRODUCTS_ZHUCEDB: state => state.layout.PRODUCTS_ZHUCEDB,
  patentEnable: state => state.layout.patentEnable
}
export default getters
