/* eslint-disable */
/*
array query selector
created by anlige
@2016-11-15
 */
var Delegate, Delgate, Lambda
Delegate = Delgate = function() {
  var args; var body = (args = Array.prototype.slice.apply(arguments)).pop()
  return new Function(args, body)
}
Lambda = function(src) {
  if (arguments.length == 0) return new Function()
  if (arguments.length == 1 && typeof src === 'string') {
    var exp_ = /^(\()?([\w\,\s]*?)(\))?(\s*)\=\>(\s*)(\{)?([\s\S]+?)(\})?(\s*)$/igm
    var match = null
    if (match = exp_.exec(src)) {
      if (match[2] == '' && match[1] == '') return
      if (match[2].indexOf(',') > 0 && match[1] == '') return
      var body = match[7]; var bodytemp = body
      if (body.indexOf('\n') < 0) {
        body = 'return ' + body
      }
      bodytemp = body.replace(/\\\'/igm, '')
      bodytemp = bodytemp.replace(/\\\"/igm, '')
      bodytemp = bodytemp.replace(/\'([\s\S]*?)\'/igm, '')
      bodytemp = bodytemp.replace(/\"([\s\S]*?)\"/igm, '')
      if (bodytemp.indexOf(';') > 0 && match[6] == '') return
      return new Function(match[2].replace(/\s/igm, '').split(','), body)
    }
  }
  return Delgate.apply(null, arguments)
}
export function IQuery(src) {
  var src_ = src.slice(0); var len = src_.length; var position = 0
  var ins_ = {}; var selecteds = []
  function select(fn) {
    if (typeof fn === 'string') {
      fn = Lambda(fn)
    }
    selecteds.push(fn)
    return ins_
  }
  function invokeSelect() {
    var fn = null
    while (selecteds.length > 0) {
      fn = selecteds.shift()
      for (var i = 0; i < len; i++) {
        src_[i] = fn.call(src_, src_[i], i)
      }
    }
  }
  function invokeSelectElement(e) {
    for (var i = 0; i < selecteds.length; i++) {
      src_[e] = selecteds[i].call(src_, src_[e], e)
    }
  }
  function todictionary(fn, fn2) {
    invokeSelect()
    if (typeof fn === 'string') {
      fn = Lambda(fn)
    }
    if (typeof fn2 === 'string') {
      fn2 = Lambda(fn2)
    }
    var result = {}
    for (var i = 0; i < len; i++) {
      result[fn.call(src_, src_[i], i)] = fn2 ? fn2.call(src_, src_[i], i) : src_[i]
    }
    return result
  }
  function where(fn) {
    if (typeof fn === 'string') {
      fn = Lambda(fn)
    }
    for (var i = len - 1; i >= 0; i--) {
      invokeSelectElement(i)
      if (fn.call(src_, src_[i], i) === false) {
        src_.splice(i, 1)
      }
    }
    len = src_.length
    selecteds.length = 0
    return ins_
  }
  function count() {
    return len
  }
  function take(c) {
    invokeSelect()
    return IQuery(src_.slice(position, position + c))
  }
  function skip(c) {
    position = c
    return ins_
  }
  function contains(v) {
    invokeSelect()
    return index(v) >= 0
  }
  function index(v) {
    invokeSelect()
    for (var i = 0; i < len; i++) {
      if (src_[i] == v) return i
    }
    return -1
  }
  function value() {
    invokeSelect()
    return src_
  }

  ins_.select = select
  ins_.where = where
  ins_.count = count
  ins_.take = take
  ins_.skip = skip
  ins_.toArray = ins_.value = value
  ins_.toDictionary = todictionary
  ins_.index = index
  ins_.contains = contains
  return ins_
}
